from lunduke.client import DiscourseClient


def main():
    client = DiscourseClient()
    param_data = {
        "period": "all",
        "order": "likes_received"
    }
    try:
        response = client.get('/directory_items.json', params=param_data)
        print(response.status_code)
        print(response.json())
    except Exception as e:
        print(f"Error: {e}")



if __name__ == "__main__":
    main()